GET /data/datasets
neotomadb.org:neotoma-paleoecology-database
Summary: Get paleoecological datasets
Operation ID: getDatasets
Auth: unknown
Operation ID: getDatasets
Auth: unknown
Description
Retrieves datasets associated with sites, including dataset type (pollen, geochronologic, charcoal, etc.), age ranges, DOIs, and principal investigators.
Parameters (5)
datasetid
(integer, query, optional)
Filter by specific dataset ID
datasettype
(string, query, optional)
Filter by dataset type (e.g., pollen, geochronologic, charcoal)
limit
(integer, query, optional, default: 25)
Maximum number of results to return
offset
(integer, query, optional, default: 0)
Number of results to skip for pagination
siteid
(integer, query, optional)
Filter by site ID
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| Get pollen datasets | curl |
https://api.neotomadb.org/v2.0/data/datasets?datasettype=pollen&limit=10 |
|
| Get datasets for a specific site | curl |
https://api.neotomadb.org/v2.0/data/datasets?siteid=1&limit=5 |
|
| Get dataset by ID with offset for pagination | curl |
https://api.neotomadb.org/v2.0/data/datasets?datasetid=1234 |
|
| List datasets | probe-gate |
https://api.neotomadb.org/v2.0/data/datasets?limit=25&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:52:19.562438 | 200 | 1048ms | |
| 2026-03-23 09:26:57.874493 | 200 | 545ms | |
| 2026-03-23 09:14:32.444235 | 200 | 900ms | |
| 2026-03-23 09:13:26.252020 | 200 | 580ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:14:32.444235 | f664cd848609 |
9d206c1308c6 |
| 2026-03-23 09:26:57.874493 | 9d206c1308c6 |
3e86b77d90f9 |
| 2026-03-23 10:52:19.562438 | 3e86b77d90f9 |
9c2617138455 |